Index: Makefile.in
===================================================================
--- Makefile.in	(revision 7caae281772c0f6d59de84095a25a25c3153e693)
+++ Makefile.in	(revision 80d92aef1c5833116bf94ed13ea7c8d6c3acfcba)
@@ -91,5 +91,5 @@
 ##############################################################
 # some extra targets for the specific packages
-.PHONY: factory libfac MP gmp smallgmp 
+.PHONY: factory libfac MP gmp smallgmp
 Singular factory libfac MP gmp smallgmp:
 	cd $@; ${MAKE} all
@@ -99,5 +99,5 @@
 .PHONY: info dvi ps doc doc/singular.hlp html
 
-info dvi ps doc/singular.hlp html: ${SINGULAR} 
+info dvi ps doc/singular.hlp html: ${SINGULAR}
 	cd doc; ${MAKE} $@
 
@@ -115,5 +115,5 @@
 	${PERL} Tst/regress.cmd -r -s ${SINGULAR} Tst/Old/universal.lst
 
-Tst-Short: ${SINGULAR} Tst/Short/ok_s.lst Tst/regress.cmd 
+Tst-Short: ${SINGULAR} Tst/Short/ok_s.lst Tst/regress.cmd
 	${PERL} Tst/regress.cmd -r -s ${SINGULAR} Tst/Short/ok_s.lst
 
@@ -124,15 +124,19 @@
 # distribution targets
 #
-S_VERSION        = $${SINGULAR_VERSION-@SINGULAR_VERSION@}
-SINGUNAME	 = @SINGUNAME@
-localdir         = /usr/local
-install_prefix   = ${localdir}/Singular/${S_VERSION}
-CYGWIN_PORT_VER  = @SINGULAR_RPM_VERSION@-1
-CYGWIN_SETUP_VER = 2.457.2.2
-CYGWIN_REP_DIR   = cygwin_pkg
-CYGWIN_AUX_FILES = auxiliars
+S_VERSION          = $${SINGULAR_VERSION-@SINGULAR_VERSION@}
+SINGUNAME	   = @SINGUNAME@
+localdir           = /usr/local
+install_prefix     = ${localdir}/Singular/${S_VERSION}
+CYGWIN_PORT_VER    = @SINGULAR_RPM_VERSION@-1
+CYGWIN_SETUP_VER   = 2.457.2.2
+CYGWIN_REP_DIR     = cygwin_pkg
+CYGWIN_AUX_FILES   = rpm/cygwin
+CYGWIN_PFW_DIR     = /cygdrive/c/Programme/InstallShield/PackageForTheWeb\ 4/
+CYGWIN_PFW_EXEC    = pftwwiz.exe
+#CYGWIN_MAKE_DIR    := $(shell cygpath -a -w .)
+CYGWIN_ORIG        = external-cygwin
 
 BINDIST_DIRS        = kernel Singular doc IntegerProgramming modules
-PLU_BINDIST_DIRS    =  ${BINDIST_DIRS}
+PLU_BINDIST_DIRS    = ${BINDIST_DIRS}
 SHAREDIST_DIRS      = Singular doc emacs
 PLU_SHAREDIST_DIRS  = ${SHAREDIST_DIRS}
@@ -180,8 +184,68 @@
 dist: ${SHAREDIST_NAME}.tar.gz  ${BINDIST_NAME}.tar.gz
 
+dist-plural: ${PLU_SHAREDIST_NAME}.tar.gz  ${PLU_BINDIST_NAME}.tar.gz
+
+sharedist ${SHAREDIST_NAME}.tar.gz:
+	if test -d ${TMPDIR}; then rm -rf ${TMPDIR}; fi
+	${MAKE} install-sharedist localdir=${TMPDIR}
+	chmod -R a+rX ${TMPDIR}
+	cd ${TMPDIR}; tar cf ${SHAREDIST_NAME}.tar Singular; ${MYGZIP} ${SHAREDIST_NAME}.tar
+	mv ${TMPDIR}/${SHAREDIST_NAME}.tar.gz .
+	rm -rf ${TMPDIR}
+
+sharedist-plural ${PLU_SHAREDIST_NAME}.tar.gz:
+	if test -d ${TMPDIR}; then rm -rf ${TMPDIR}; fi
+	${MAKE} install-sharedist-plural localdir=${TMPDIR}
+	chmod -R a+rX ${TMPDIR}
+	cd ${TMPDIR}; tar cf ${SHAREDIST_NAME}.tar Singular; ${MYGZIP} ${SHAREDIST_NAME}.tar
+	mv ${TMPDIR}/${SHAREDIST_NAME}.tar.gz .
+	rm -rf ${TMPDIR}
+
+bindist ${BINDIST_NAME}.tar.gz:
+	if test -d ${TMPDIR}; then rm -fr ${TMPDIR}; fi
+	${MAKE} install-bindist localdir=${TMPDIR}
+	chmod -R a+rX ${TMPDIR}
+	cd ${TMPDIR}; tar cf ${BINDIST_NAME}.tar Singular; ${MYGZIP} ${BINDIST_NAME}.tar
+	mv ${TMPDIR}/${BINDIST_NAME}.tar.gz .
+	rm -rf ${TMPDIR}
+
+static-bindist ${BINDIST_NAME}-static.tar.gz:
+	if test -d ${TMPDIR}; then rm -fr ${TMPDIR}; fi
+	${MAKE} install-bindist localdir=${TMPDIR} LD_STATIC=1
+	chmod -R a+rX ${TMPDIR}
+	cd ${TMPDIR}; tar cf ${BINDIST_NAME}-static.tar Singular; ${MYGZIP} ${BINDIST_NAME}-static.tar
+	mv ${TMPDIR}/${BINDIST_NAME}-static.tar.gz .
+	rm -rf ${TMPDIR}
+
+static-bindist-plural ${PLU_BINDIST_NAME}-static.tar.gz:
+	if test -d ${TMPDIR}; then rm -fr ${TMPDIR}; fi
+	${MAKE} install-bindist-plural localdir=${TMPDIR} LD_STATIC=1
+	chmod -R a+rX ${TMPDIR}
+	cd ${TMPDIR}; tar cf ${BINDIST_NAME}-static.tar Singular; ${MYGZIP} ${BINDIST_NAME}-static.tar
+	mv ${TMPDIR}/${BINDIST_NAME}-static.tar.gz .
+	rm -rf ${TMPDIR}
+
+install-root:
+	${MKINSTALLDIRS} ${localdir}/bin
+	${LN_S} ${localdir}/Singular/${S_VERSION}/${SINGUNAME}/Singular ${localdir}/bin/Singular-${S_VERSION}
+	${LN_S} ${localdir}/Singular/${S_VERSION}/${SINGUNAME}/ESingular ${localdir}/bin/ESingular-${S_VERSION}
+
+##############################################################
+# targets for the windows distribution
+#
+
+cygwin-dist-src:
+	-rm -rf ${TMPDIR}
+	${MKINSTALLDIRS} ${TMPDIR}/singular-${CYGWIN_PORT_VER}
+	cd ${TMPDIR}/singular-${CYGWIN_PORT_VER}; cvs co All
+	cd  ${TMPDIR}; \
+	tar cjf singular-${CYGWIN_PORT_VER}-src.tar.bz2 singular-${CYGWIN_PORT_VER};
+	cp singular-${CYGWIN_PORT_VER}-src.tar.bz2 ${CYGWIN_REP_DIR}/release/singular-base/
+	-rm -rf ${TMPDIR}
+
 cygwin-dist-install: ${BINDIST_NAME}.tar.gz ${SHAREDIST_NAME}.tar.gz
-	rm -r /usr/local/Singular/${S_VERSION}
+	-rm -r /usr/local/Singular/${S_VERSION}
 	tar  --directory=/usr/local -x -z -f ${SHAREDIST_NAME}.tar.gz
-	rm -r -f /usr/local/Singular/${S_VERSION}/html
+	-rm -r -f /usr/local/Singular/${S_VERSION}/html
 	tar  --directory=/usr/local -x -z -f ${BINDIST_NAME}.tar.gz
 	cp ${CYGWIN_AUX_FILES}/surf.exe /usr/local/Singular/${S_VERSION}/ix86-Win
@@ -203,5 +267,5 @@
 
 cygwin-dist-pack:
-	rm -r -f ${CYGWIN_REP_DIR}
+	-rm -r -f ${CYGWIN_REP_DIR}
 	mkdir ${CYGWIN_REP_DIR}
 	mkdir ${CYGWIN_REP_DIR}/release
@@ -246,4 +310,5 @@
 	      /usr/X11R6/bin/startxserver.bat                                    \
 	      /etc/postinstall/singular-helper.sh
+	cp ${CYGWIN_AUX_FILES}/singular-surf-${CYGWIN_PORT_VER}-src.tar.bz2 ${CYGWIN_REP_DIR}/release/singular-surf/
 	cp ${CYGWIN_AUX_FILES}/setup-base.hint ${CYGWIN_REP_DIR}/release/singular-base/setup.hint
 	cp ${CYGWIN_AUX_FILES}/setup-share.hint ${CYGWIN_REP_DIR}/release/singular-share/setup.hint
@@ -252,19 +317,20 @@
 	cp ${CYGWIN_AUX_FILES}/setup-helper.hint ${CYGWIN_REP_DIR}/release/singular-helper/setup.hint
 
-cygwin-dist: cygwin-dist-install cygwin-dist-pack cygwin-setup
+cygwin-dist: cygwin-dist-install cygwin-dist-pack cygwin-dist-src cygwin-setup
 
 cygwin-setup-init:
 	echo "# This file is automatically generated by Makefile." > ${CYGWIN_REP_DIR}/setup.ini
-	echo >> ${CYGWIN_REP_DIR}/setup.ini
+	echo "# Special for Singular Distribution." >> ${CYGWIN_REP_DIR}/setup.ini
 	echo -n "setup-timestamp: " >> ${CYGWIN_REP_DIR}/setup.ini
 	echo `perl -e 'print time'` >> ${CYGWIN_REP_DIR}/setup.ini
-	echo "setup-version: ${CYGWIN_SETUP_VER}2.457.2.2" >> ${CYGWIN_REP_DIR}/setup.ini
+	echo "setup-version: ${CYGWIN_SETUP_VER}" >> ${CYGWIN_REP_DIR}/setup.ini
 	echo >> ${CYGWIN_REP_DIR}/setup.ini
 	cat ${CYGWIN_AUX_FILES}/setup.ini ${CYGWIN_REP_DIR}/setup.ini
 	echo >> ${CYGWIN_REP_DIR}/setup.ini
+#	cp ${CYGWIN_AUX_FILES}/setup.exe ${CYGWIN_REP_DIR}/setup.exe
 	wget http://cygwin.com/setup.exe -O ${CYGWIN_REP_DIR}/setup.exe
 
 cygwin-setup: cygwin-setup-init cygwin-setup-base cygwin-setup-share cygwin-setup-help cygwin-setup-surf cygwin-setup-helper
-	cd ${CYGWIN_REP_DIR}/setup.ini ${CYGWIN_REP_DIR}/setup
+	cp ${CYGWIN_REP_DIR}/setup.ini ${CYGWIN_REP_DIR}/setup
 	cd ${CYGWIN_REP_DIR} && bzip2 -f setup
 	cd ${CYGWIN_REP_DIR} && md5sum setup.* | sed -e 's/*//g' > md5.sum
@@ -278,54 +344,101 @@
 	echo -n " " >> ${CYGWIN_REP_DIR}/setup.ini
 	echo `md5sum ${CYGWIN_REP_DIR}/release/singular-$*/singular-$*-${CYGWIN_PORT_VER}.tar.bz2 | sed -e 's/\([a-zA-Z0-9]*\).*/\1/g'` >> ${CYGWIN_REP_DIR}/setup.ini
+	if test -e ${CYGWIN_REP_DIR}/release/singular-$*/singular-$*-${CYGWIN_PORT_VER}-src.tar.bz2; then \
+	  echo -n "source: release/singular-$*/singular-$*-${CYGWIN_PORT_VER}-src.tar.bz2 "  >> ${CYGWIN_REP_DIR}/setup.ini; \
+	  echo -n `du -b ${CYGWIN_REP_DIR}/release/singular-$*/singular-$*-${CYGWIN_PORT_VER}-src.tar.bz2 | sed -e 's/\([0-9]*\).*/\1/g'` >> ${CYGWIN_REP_DIR}/setup.ini; \
+	  echo -n " " >> ${CYGWIN_REP_DIR}/setup.ini; \
+	  echo `md5sum ${CYGWIN_REP_DIR}/release/singular-$*/singular-$*-${CYGWIN_PORT_VER}-src.tar.bz2 | sed -e 's/\([a-zA-Z0-9]*\).*/\1/g'` >> ${CYGWIN_REP_DIR}/setup.ini; \
+	else \
+	  echo -n "source: release/singular-base/singular-base-${CYGWIN_PORT_VER}-src.tar.bz2 "  >> ${CYGWIN_REP_DIR}/setup.ini; \
+	  echo -n `du -b ${CYGWIN_REP_DIR}/release/singular-base/singular-base-${CYGWIN_PORT_VER}-src.tar.bz2 | sed -e 's/\([0-9]*\).*/\1/g'` >> ${CYGWIN_REP_DIR}/setup.ini; \
+	  echo -n " " >> ${CYGWIN_REP_DIR}/setup.ini; \
+	  echo `md5sum ${CYGWIN_REP_DIR}/release/singular-base/singular-base-${CYGWIN_PORT_VER}-src.tar.bz2 | sed -e 's/\([a-zA-Z0-9]*\).*/\1/g'` >> ${CYGWIN_REP_DIR}/setup.ini; \
+	fi;
 	echo >> ${CYGWIN_REP_DIR}/setup.ini
 
-dist-plural: ${PLU_SHAREDIST_NAME}.tar.gz  ${PLU_BINDIST_NAME}.tar.gz
-
-sharedist ${SHAREDIST_NAME}.tar.gz:
+cygwin-pfw: cygwin-pfw-Full cygwin-pfw-Small
+
+cygwin-pfw-%:
 	if test -d ${TMPDIR}; then rm -rf ${TMPDIR}; fi
-	${MAKE} install-sharedist localdir=${TMPDIR}
-	chmod -R a+rX ${TMPDIR}
-	cd ${TMPDIR}; tar cf ${SHAREDIST_NAME}.tar Singular; ${MYGZIP} ${SHAREDIST_NAME}.tar
-	mv ${TMPDIR}/${SHAREDIST_NAME}.tar.gz .
-	rm -rf ${TMPDIR}
-
-sharedist-plural ${PLU_SHAREDIST_NAME}.tar.gz:
-	if test -d ${TMPDIR}; then rm -rf ${TMPDIR}; fi
-	${MAKE} install-sharedist-plural localdir=${TMPDIR}
-	chmod -R a+rX ${TMPDIR}
-	cd ${TMPDIR}; tar cf ${SHAREDIST_NAME}.tar Singular; ${MYGZIP} ${SHAREDIST_NAME}.tar
-	mv ${TMPDIR}/${SHAREDIST_NAME}.tar.gz .
-	rm -rf ${TMPDIR}
-
-bindist ${BINDIST_NAME}.tar.gz:
-	if test -d ${TMPDIR}; then rm -fr ${TMPDIR}; fi
-	${MAKE} install-bindist localdir=${TMPDIR}
-	chmod -R a+rX ${TMPDIR}
-	cd ${TMPDIR}; tar cf ${BINDIST_NAME}.tar Singular; ${MYGZIP} ${BINDIST_NAME}.tar
-	mv ${TMPDIR}/${BINDIST_NAME}.tar.gz .
-	rm -rf ${TMPDIR}
-
-static-bindist ${BINDIST_NAME}-static.tar.gz:
-	if test -d ${TMPDIR}; then rm -fr ${TMPDIR}; fi
-	${MAKE} install-bindist localdir=${TMPDIR} LD_STATIC=1
-	chmod -R a+rX ${TMPDIR}
-	cd ${TMPDIR}; tar cf ${BINDIST_NAME}-static.tar Singular; ${MYGZIP} ${BINDIST_NAME}-static.tar
-	mv ${TMPDIR}/${BINDIST_NAME}-static.tar.gz .
-	rm -rf ${TMPDIR}
-
-static-bindist-plural ${PLU_BINDIST_NAME}-static.tar.gz:
-	if test -d ${TMPDIR}; then rm -fr ${TMPDIR}; fi
-	${MAKE} install-bindist-plural localdir=${TMPDIR} LD_STATIC=1
-	chmod -R a+rX ${TMPDIR}
-	cd ${TMPDIR}; tar cf ${BINDIST_NAME}-static.tar Singular; ${MYGZIP} ${BINDIST_NAME}-static.tar
-	mv ${TMPDIR}/${BINDIST_NAME}-static.tar.gz .
-	rm -rf ${TMPDIR}
-
-install-root:
-	${MKINSTALLDIRS} ${localdir}/bin
-	${LN_S} ${localdir}/Singular/${S_VERSION}/${SINGUNAME}/Singular ${localdir}/bin/Singular-${S_VERSION}
-	${LN_S} ${localdir}/Singular/${S_VERSION}/${SINGUNAME}/ESingular ${localdir}/bin/ESingular-${S_VERSION}
-
-
+	mkinstalldirs ${TMPDIR}/Files
+	cp -r ${CYGWIN_ORIG}/$*/* ${TMPDIR}/Files/
+	if test "$$*" = Full; then \
+	  cp -r ${CYGWIN_REP_DIR}/release/singular* ${TMPDIR}/Files/release/; \
+	else \
+	  cp -r ${CYGWIN_REP_DIR}/release/singular-base ${TMPDIR}/Files/release/; \
+	  cp -r ${CYGWIN_REP_DIR}/release/singular-helper ${TMPDIR}/Files/release/; \
+	  cp -r ${CYGWIN_REP_DIR}/release/singular-help ${TMPDIR}/Files/release/; \
+	  cp -r ${CYGWIN_REP_DIR}/release/singular-share ${TMPDIR}/Files/release/; \
+	fi;
+	cat ${CYGWIN_REP_DIR}/setup.ini | sed -e 's/setup-version:.*//' | sed -e 's/setup-timestamp:.*//' >> ${TMPDIR}/Files/setup.ini
+	@echo Writing Singular.pfw ...
+	@echo "Version=2.0" >> ${TMPDIR}/Singular.pfw
+	@echo "" >> ${TMPDIR}/Singular.pfw
+	@echo "[Options]" >> ${TMPDIR}/Singular.pfw
+	@echo "Title=Singular ${S_VERSION}: $* Distribution" >> ${TMPDIR}/Singular.pfw
+	@echo "Company=Department of Mathematics and Center for Computer Algebra, University of Kaiserslautern" >> ${TMPDIR}/Singular.pfw
+	@echo "CompanyEMail=singular@mathematik.uni-kl.de" >> ${TMPDIR}/Singular.pfw
+	@echo -n "BasePath="  >> ${TMPDIR}/Singular.pfw
+	@echo `cygpath -a -w ${TMPDIR}/Files` >> ${TMPDIR}/Singular.pfw
+	@echo "ImportPath=" >> ${TMPDIR}/Singular.pfw
+	@echo "UseRTF=1" >> ${TMPDIR}/Singular.pfw
+	@echo "SaveFiles=0" >> ${TMPDIR}/Singular.pfw
+	@echo "SubFolders=1" >> ${TMPDIR}/Singular.pfw
+	@echo "ApplicationName=Singular ${S_VERSION} Build `date -u +%D' UTC '%T`" >> ${TMPDIR}/Singular.pfw
+	@echo "Description=A Computer Algebra System For Polynomial Computations" >> ${TMPDIR}/Singular.pfw
+	@echo "Comments=Authors: G.-M. Greuel, G. Pfister, H. Schoenemann" >> ${TMPDIR}/Singular.pfw
+	@echo "Notice=Distributed under General Public License (GPL)" >> ${TMPDIR}/Singular.pfw
+	@echo "Version=3-0-0" >> ${TMPDIR}/Singular.pfw
+	@echo -n "OutputSpec=" >> ${TMPDIR}/Singular.pfw
+	@echo -n "`cygpath -a -w .`" >> ${TMPDIR}/Singular.pfw
+	@echo "\Singualar-${S_VERSION}-$*.exe" >> ${TMPDIR}/Singular.pfw
+	@echo "GUIDs=0" >> ${TMPDIR}/Singular.pfw
+	@echo "Type=2" >> ${TMPDIR}/Singular.pfw
+	@echo "Compress=1" >> ${TMPDIR}/Singular.pfw
+	@echo "Sign=0" >> ${TMPDIR}/Singular.pfw
+	@echo "Transfer=0" >> ${TMPDIR}/Singular.pfw
+	@echo "" >> ${TMPDIR}/Singular.pfw
+	@echo "[Runtime]" >> ${TMPDIR}/Singular.pfw
+	@echo "Welcome=" >> ${TMPDIR}/Singular.pfw
+	@echo -n "License=" >> ${TMPDIR}/Singular.pfw
+	@echo -n "`cygpath -a -w .`" >> ${TMPDIR}/Singular.pfw
+	@echo "\GPL" >> ${TMPDIR}/Singular.pfw
+	@echo "Prompt=" >> ${TMPDIR}/Singular.pfw
+	@echo "Password=" >> ${TMPDIR}/Singular.pfw
+	@echo "DefaultPath=" >> ${TMPDIR}/Singular.pfw
+	@echo "Language=English" >> ${TMPDIR}/Singular.pfw
+	@echo "WindowStyle=0" >> ${TMPDIR}/Singular.pfw
+	@echo "Options=33" >> ${TMPDIR}/Singular.pfw
+	@echo "Execute=setup.exe" >> ${TMPDIR}/Singular.pfw
+	@echo "CmdLine=-q -n" >> ${TMPDIR}/Singular.pfw
+	@echo "AllowChangeTarget=0" >> ${TMPDIR}/Singular.pfw
+	@echo "AllowDelete=0" >> ${TMPDIR}/Singular.pfw
+	@echo "LaunchEXE=1" >> ${TMPDIR}/Singular.pfw
+	@echo "" >> ${TMPDIR}/Singular.pfw
+	@echo "[Extension]" >> ${TMPDIR}/Singular.pfw
+	@echo "Server=" >> ${TMPDIR}/Singular.pfw
+	@echo "Calls=0" >> ${TMPDIR}/Singular.pfw
+	cd ${CYGWIN_PFW_DIR}; \
+	${CYGWIN_PFW_EXEC} -a -s "`cygpath -a -w ${TMPDIR}/Singular.pfw`"
+
+cygwin-cd-repository:
+	mkinstalldirs Repository
+	cp -r ${CYGWIN_ORIG}/cd-repository/* Repository/
+	cp -r ${CYGWIN_REP_DIR}/release/singular* Repository/release/; \
+	cat ${CYGWIN_REP_DIR}/setup.ini | sed -e 's/setup-version:.*//' | sed -e 's/setup-timestamp:.*//' >> Repository/setup.ini
+
+singular-cd-windows: cygwin-dist cygwin-pfw-Full cygwin-repository
+	@echo Building cd directories and web interface
+	mkinstalldirs singular-cd/WINDOWS/Files/Repository
+	echo WEBPAGE FEATURE NOT INTRODUCED
+	@echo Buidling cd autostart
+	echo AUTOSTART FEATURE NOT INTRODUCED
+	@echo Copying PackageForTheWeb
+	cp Singualar-${S_VERSION}-$*.exe singular-cd/WINDOWS/Files/
+	cp Singualar/singular.ico singular-cd/WINDOWS/Files/
+	@echo Building cygwin-cd-repository
+	cp -r ${CYGWIN_ORIG}/cd-repository/* singular-cd/WINDOWS/Files/Repository/
+	cp -r ${CYGWIN_REP_DIR}/release/singular* singular-cd/WINDOWS/Files/Repository/release/; \
+	cat ${CYGWIN_REP_DIR}/setup.ini | sed -e 's/setup-version:.*//' | sed -e 's/setup-timestamp:.*//' >> singular-cd/WINDOWS/Files/Repository/setup.ini
 
 ##
@@ -390,8 +503,9 @@
                          ${TMPDIR}/Singular/INSTALL
 	cd ${TMPDIR}; chmod -R a+rX *;\
-           ${ZIP} -r sing Singular 
-	mv ${TMPDIR}/sing.zip Singular-${S_VERSION}-${SINGUNAME}.zip 
-	rm -rf ${TMPDIR}
-srcdist: 
+           ${ZIP} -r sing Singular
+	mv ${TMPDIR}/sing.zip Singular-${S_VERSION}-${SINGUNAME}.zip
+	rm -rf ${TMPDIR}
+
+srcdist:
 	rm -rf ${TMPDIR}
 	${MKINSTALLDIRS} ${TMPDIR}/Singular-${S_VERSION}
@@ -423,4 +537,4 @@
 	@echo "You need to rerun autoconf. I am proceeding, for now."
 	@touch configure
-# 	autoconf 
+# 	autoconf
 #
